Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.query
Enum UnaryOperator

    java.lang.Object
      java.lang.Enum<UnaryOperator>
          org.apache.openjpa.persistence.query.UnaryOperator

All Implemented Interfaces:
  Serializable, Comparable<UnaryOperator>

    public enum UnaryOperator

extends Enum<UnaryOperator>

Enumeration of Operator that operate on a single expression.

Author:
  Pinaki Poddar

Enum Constant Summary
`ABS`
`ALL`
`ANY`
`AVG`
`COUNT`
`DISTINCT`
`EXISTS`
`INDEX`
`ISEMPTY`
`ISEMPTY_NOT`
`ISNULL`
`ISNULL_NOT`
`LENGTH`
`LOCATE`
`LOWER`
`MAX`
`MIN`
`MINUS`
`SIZE`
`SOME`
`SQRT`
`SUBSTRING`
`SUM`
`TIMES`
`TRIM`
`TYPE`
`UPPER`

Method Summary
`String` | `toString()`
`static UnaryOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnaryOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABS

    public static final UnaryOperator ABS

### ALL

    public static final UnaryOperator ALL

### ANY

    public static final UnaryOperator ANY

### AVG

    public static final UnaryOperator AVG

### COUNT

    public static final UnaryOperator COUNT

### DISTINCT

    public static final UnaryOperator DISTINCT

### EXISTS

    public static final UnaryOperator EXISTS

### INDEX

    public static final UnaryOperator INDEX

### ISEMPTY

    public static final UnaryOperator ISEMPTY

### ISEMPTY_NOT

    public static final UnaryOperator ISEMPTY_NOT

### ISNULL

    public static final UnaryOperator ISNULL

### ISNULL_NOT

    public static final UnaryOperator ISNULL_NOT

### LENGTH

    public static final UnaryOperator LENGTH

### LOCATE

    public static final UnaryOperator LOCATE

### LOWER

    public static final UnaryOperator LOWER

### MAX

    public static final UnaryOperator MAX

### MIN

    public static final UnaryOperator MIN

### MINUS

    public static final UnaryOperator MINUS

### SIZE

    public static final UnaryOperator SIZE

### SOME

    public static final UnaryOperator SOME

### SQRT

    public static final UnaryOperator SQRT

### SUBSTRING

    public static final UnaryOperator SUBSTRING

### SUM

    public static final UnaryOperator SUM

### TIMES

    public static final UnaryOperator TIMES

### TRIM

    public static final UnaryOperator TRIM

### TYPE

    public static final UnaryOperator TYPE

### UPPER

    public static final UnaryOperator UPPER

Method Detail

### values

    public static UnaryOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UnaryOperator c : UnaryOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UnaryOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<UnaryOperator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.